%global dlrn_nvr kuryr-tempest-plugin-0.5.0-0.20200311015704.2194649
%global dlrn 1
%define upstream_version 0.5.0
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility
%global service kuryr
%global plugin kuryr-tempest-plugin
%global module kuryr_tempest_plugin
%global with_doc 0

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global common_desc \
This package contains Tempest tests to cover the kuryr-kubernetes project. \
Additionally it provides a plugin to automatically load these tests into Tempest.

Name:       python-%{service}-tests-tempest
Version: 0.5.0
Release: 0.20200311015704.2194649%{?dist}
Summary:    Tempest Integration of Kuryr and Kuryr-Kubernetes
License:    ASL 2.0
URL:        https://git.openstack.org/cgit/openstack/%{plugin}/

Source0: kuryr-tempest-plugin-0.5.0-0.20200311015704.2194649.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=2194649ab242a3e99fd2839d5bcf8ed0d081b3f1
Patch0001: 0001-Use-label-selector-to-get-kuryr-controller-pods.patch
Patch0002: 0002-Update-README-with-installation-and-test-run-informa.patch
Patch0003: 0003-Increase-timeout-LB-build-and-kuryr-annotation-timeo.patch
Patch0004: 0004-Test-recreate-namespace-and-pod.patch
Patch0005: 0005-Adjust-port-pool-tests-to-python3.patch
Patch0006: 0006-Modify-settings-for-port-pool-tests.patch
Patch0007: 0007-Update-the-constraints-url.patch
Patch0008: 0008-Make-the-label-of-kuryr-controller-customizable.patch

BuildArch:  noarch

BuildRequires:  git
BuildRequires:  openstack-macros

%description
%{common_desc}

%package -n python%{pyver}-%{service}-tests-tempest
Summary: %{summary}
%{?python_provide:%python_provide python%{pyver}-%{service}-tests-tempest}
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-pbr
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-reno

Requires:   python%{pyver}-pbr >= 3.1.1
Requires:   python%{pyver}-six  >= 1.10.0
Requires:   python%{pyver}-tempest >= 1:18.0.0
Requires:   python%{pyver}-testrepository >= 0.0.20
Requires:   python%{pyver}-oslotest >= 1.10.0
Requires:   python%{pyver}-os-testr >= 0.8.0
Requires:   python%{pyver}-testtools >= 1.8.0
Requires:   python%{pyver}-kubernetes >= 5.0.0
Requires:   python%{pyver}-openshift >= 0.7.0
Requires:   python%{pyver}-oslo-concurrency >= 3.26.0

%description -n python%{pyver}-%{service}-tests-tempest
%{common_desc}

%if 0%{?with_doc}
%package -n python-%{service}-tests-tempest-doc
Summary:        python-%{service}-tests-tempest documentation

BuildRequires:  python%{pyver}-sphinx
BuildRequires:  python%{pyver}-openstackdocstheme

%description -n python-%{service}-tests-tempest-doc
It contains the documentation for the kuryr tempest plugin.
%endif

%prep
%autosetup -n %{plugin}-%{upstream_version} -S git

# Let's handle dependencies ourseleves
%py_req_cleanup
# Remove bundled egg-ingo
rm -rf %{module}.egg-info

%build
%{pyver_build}

# Generate Docs
%if 0%{?with_doc}
sphinx-build-%{pyver} -W -b html doc/source doc/build/html
# remove the sphinx build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif

%install
%{pyver_install}

%files -n python%{pyver}-%{service}-tests-tempest
%license LICENSE
%doc README.rst
%{pyver_sitelib}/%{module}
%{pyver_sitelib}/*.egg-info

%if 0%{?with_doc}
%files -n python-%{service}-tests-tempest-doc
%doc doc/build/html
%license LICENSE
%endif

%changelog
* Tue Mar 10 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches

* Thu Feb 27 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Make the label of kuryr-controller customizable
- Update the constraints url
- Modify settings for port pool tests
- Adjust port pool tests to python3
- Test recreate namespace and pod
- Increase timeout LB build and kuryr annotation timeout
- Update README with installation and test run information
- Use label selector to get kuryr controller pods
- Merge "Update the constraints url"
- Make the label of kuryr-controller customizable
- Merge "Adjust port pool tests to python3"
- Update the constraints url
- Modify settings for port pool tests
- Adjust port pool tests to python3
- Merge "Test recreate namespace and pod"
- Test recreate namespace and pod
- Increase timeout LB build and kuryr annotation timeout
- Merge "Update README with installation and test run information"
- Merge "Use label selector to get kuryr controller pods"
- Update README with installation and test run information
- Use label selector to get kuryr controller pods

* Thu Oct 03 2019 RDO <dev@lists.rdoproject.org> 0.5.0-1
- Update to 0.5.0

